"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionGenerator = void 0;
class ActionGenerator {
    constructor(contract) {
        this.contract = contract;
    }
    add(authorization, account, supported_symbols) {
        return this._pack(this.contract, authorization, "add", {
            account,
            supported_symbols
        });
    }
    create(authorization, creator, payouts, supported_symbols) {
        return this._pack(this.contract, authorization, "create", {
            creator,
            payouts,
            supported_symbols
        });
    }
    withdraw(authorization, owner, symbols) {
        return this._pack(this.contract, authorization, "withdraw", {
            owner,
            symbols
        });
    }
    _pack(account, authorization, name, data) {
        return [{ account, name, authorization, data }];
    }
}
exports.ActionGenerator = ActionGenerator;
