"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RpcApi {
    constructor(nodeos_url, contract, fetch) {
        this.nodeos_url = nodeos_url;
        this.contract = contract;
        this.fetch = fetch;
    }
    async getTableRows(payload) {
        return await this.fetch(`${this.nodeos_url}/v1/chain/get_table_rows`, {
            method: "POST",
            headers: { "Content-Type": "application/json" },
            body: JSON.stringify(payload),
        });
    }
    async getPayouts() {
        return this.getTableRows({
            json: true,
            code: this.contract,
            scope: this.contract,
            table: "payouts"
        });
    }
    async getBalances(opts) {
        return this.getTableRows({
            json: true,
            code: this.contract,
            scope: opts.owner,
            table: "payouts"
        });
    }
}
exports.default = RpcApi;
